Pagina 1 van 1

Update phpmyadmin

Geplaatst: 11 jul 2019, 23:00
door Reno
Hi,

Zijn er plannen om (binnenkort) over te schakelen naar een nieuwere versie van phpmyadmin? Voor een klant die bij een andere host zit heb ik het genoegen gehad om gebruik te mogen maken van een nieuwere versie. Een nieuwe functie die me meteen opviel is de autocomplete functie op queries in het query-veld. Dit beviel me zeer goed, aangezien het veel tijd en typewerk scheelt in het opstellen en debuggen van queries.

Ik heb me verder niet echt verdiept in de andere nieuw functies, maar die autocomplete is echt een verademing en ontbreekt echt in de versie die door Antagonist ondersteund wordt.

Reno

Re: Update phpmyadmin

Geplaatst: 12 jul 2019, 10:09
door Joris de Leeuw
Hallo Reno,

Op dit moment zijn daar nog geen concrete plannen voor gezien we mede afhankelijk zijn van de RHEL packages die hiervoor worden geleverd.

Bij Antagonist maken wij specifiek gebruik van Red Hat Enterprise Linux (RHEL) modules/software. Hierbij zie je vaak een oudere, maar bewezen stabielere versienummer staan van software. Door zogenoemde 'backporting' worden beveiligingslekken echter wel gedicht.

Door gebruik van Red Hat maken wij gebruik van bewezen geteste versies van software waarin ook beveiligingslekken zijn gedicht. Hierdoor kunnen wij er mede voor zorgen dat ons platform en de mail zo stabiel en betrouwbaar mogelijk werkt, maar zie je dus soms wel wat oudere 'stable' versies die worden onderhouden vanuit Red Hat.

Natuurlijk houden wij in de gaten wanneer er wel een stabiel en grondig geteste versie via RHEL beschikbaar komt voor phpMyAdmin, zodat interessante nieuwe functionaliteiten ook beschikbaar komen.

Zodra er wel een nieuwere versie komt zal ik hier een status-update zetten.

Re: Update phpmyadmin

Geplaatst: 13 jul 2019, 17:03
door Reno
Dag Joris,

Bedankt voor je antwoord, en begrijpelijk dat je wilt wachten op een officiƫle package hoewel ik het enigszins wel jammer vind.

De huidige versie phpmyadmin mag dan wel door middel van backporting op het veiligheidsniveau anno 2019 zijn, het neemt niet weg dat de versie die door Antagonist ondersteund wordt dateert uit 2013, en dus al ruim 6 jaar oud is. Veiligheid en stabiliteit is natuurlijk zeer belangrijk, maar de mogelijkheden in de ondersteunde versie beginnen toch aardig achter te lopen ten opzichte van de versies die de afgelopen jaren reeds zijn uitgekomen.

Ik ben misschien niet de "doorsnee gebruiker" van het Antagonist platform, en stel wellicht iets hogere eisen. De innovaties die Antagonist doorvoert juich ik alleen maar toe, maar updates op bestaande functies of packages mogen hier niet onderschikt aan geraken, vind ik :roll:.

Bedankt voor de informatie tot dusver!

Reno

Re: Update phpmyadmin

Geplaatst: 15 jul 2019, 13:44
door Joris de Leeuw
Hallo Reno,

Als niet 'doorsnee' gebruiker ben je natuurlijk zo vrij om zelf een afwijkende versie van phpMyAdmin en eventuele andere software te installeren voor het beheren van je website binnen je pakket.

Al ben je dan wel zelf verantwoordelijk voor de veiligheid daarvan. In afgelopen jaren zijn namelijk relatief veel kritieke veiligheidslekken geweest in phpMyAdmin. Dat is dus mede de reden dat je bij ons een goed geteste versie ziet die vanuit Red Hat is doorgelicht.